--	class.lua
--	Implements a generic class builder.


local major, minor, addonTable = LibStub("LibBuilder-1.0"):GetLib()
if not addonTable.canLoad then return end


addonTable.classes = {}

function addonTable:NewClass(name)
	assert(name)
	
	local class, prototype, metatable = {}, {}, {}
	
	class.prototype = prototype
	
	metatable.__index = prototype
	class.instanceMetatable = metatable
	
	self.classes[name] = class
	
	return class, prototype
end
